What requirements must be met in order to use e-banking?

In order to use UBS e-banking, you need a UBS banking relationship and a UBS e-banking agreement:

For optimum usability and security, UBS e-banking is designed for use with the following operating system and browser versions:

Desktops/laptops

Operating system

Operating system

Web browser / PDF viewer

Web browser / PDF viewer

Operating system

Windows 10

Web browser / PDF viewer

Internet Explorer version 10 or higher
Edge Browser
Chrome version 35 or higher
Firefox version 31 or higher
Adobe Reader version 10 or higher

Operating system

Windows 7
Windows 8

Web browser / PDF viewer

Internet Explorer version 10 or higher
Chrome version 35 or higher
Firefox version 31 or higher
Adobe Reader version 10 or higher

Operating system

Mac OS X version 10.10 or higher

Web browser / PDF viewer

Safari version 6.1 or higher
Chrome version 35 or higher
Firefox version 31 or higher
Adobe Reader version 10 or higher

Tablets

Operating system

Operating system

Web browser / PDF viewer

Web browser / PDF viewer

Operating system

iOS version 7 or higher

Web browser / PDF viewer

Safari version 7 or higher
Chrome version 35 or higher
Adobe Reader version 10 or higher

Operating system

Android version 4.4 KitKat or higher

Web browser / PDF viewer

Chrome version 35 or higher
Firefox version 31 or higher
Adobe Reader version 10 or higher

Operating system

Windows 8

Web browser / PDF viewer

Internet Explorer version 10 or higher
Chrome version 35 or higher
Firefox version 31 or higher
Adobe Reader version 1.3 or higher